ResourceTypeName (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.ResourceTypeName class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class ResourceTypeName

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.ResourceTypeName

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ResourceTypeName

extends javax.servlet.jsp.tagext.TagSupport

+ Maps a resource type id provided and returns the resources display name. The property `typeId` is the jstl-el that is evaluated for the type id The optional property `var` is the request level property to set instead of printing to the tag's out.println();

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ResourceTypeName()`

Method Summary
`int` | `doStartTag()`
`java.lang.Integer` | `getTypeId()` Getter for property typeId.
`java.lang.String` | `getVar()` Getter for property var.
`void` | `setTypeId(java.lang.Integer typeId)` Setter for property typeId.
`void` | `setVar(java.lang.String var)` Setter for property var.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceTypeName

    public ResourceTypeName()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getTypeId

    public java.lang.Integer getTypeId()

  Getter for property typeId.

  Returns:
    Value of property typeId.

### setTypeId

    public void setTypeId(java.lang.Integer typeId)

  Setter for property typeId.

  Parameters:
    `typeId` - New value of property typeId.

### getVar

    public java.lang.String getVar()

  Getter for property var.

  Returns:
    Value of property var.

### setVar

    public void setVar(java.lang.String var)

  Setter for property var.

  Parameters:
    `var` - New value of property var.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.